Eclipse Platform Release 3.7

## org.eclipse.jface.text.rules
Interface IWordDetector

    public interface IWordDetector

Defines the interface by which `WordRule` determines whether a given character is valid as part of a word in the current context.

Method Summary
`boolean` `isWordPart(char c)` Returns whether the specified character is valid as a subsequent character in a word.
`boolean` `isWordStart(char c)` Returns whether the specified character is valid as the first character in a word.

Method Detail

### isWordStart

    boolean isWordStart(char c)

  Returns whether the specified character is valid as the first character in a word.

  Parameters:
    `c` - the character to be checked
  Returns:
    `true` is a valid first character in a word, `false` otherwise

### isWordPart

    boolean isWordPart(char c)

  Returns whether the specified character is valid as a subsequent character in a word.

  Parameters:
    `c` - the character to be checked
  Returns:
    `true` if the character is a valid word part, `false` otherwise

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.